package com.mmc.iuav.user.enums;

/**
 * @author 作者 LW
 * @version 创建时间：2023.8.26 10:56
 * @explain 类说明
 */
public enum XzEnums {
    submit_result("submitResult", "上报结果通知"), trade_result("tradeResult", "交易结果通知"),
    await("await", "待发放"), handle("handle", "交易中"), success("success", "提现成功"),
    failure("failure", "提现失败"), is_success("isSuccess", "交易是否成功"), T("T", "回调code"), F("F", "回调code"),
    apply("apply", "提现申请"), cancel("cancel", "撤销"), pay("pay", "支付"), refund("refund", "退款");

    private String code;
    private String name;

    XzEnums(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCode() {
        return this.code;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }
}
